summaryrefslogtreecommitdiff
path: root/old
diff options
context:
space:
mode:
Diffstat (limited to 'old')
-rw-r--r--old/README.md2
-rw-r--r--old/init.vim105
-rw-r--r--old/installer.sh86
-rwxr-xr-xold/setupDEB.sh23
-rwxr-xr-xold/setupRHEL.sh2
5 files changed, 0 insertions, 218 deletions
diff --git a/old/README.md b/old/README.md
deleted file mode 100644
index b4e8a53f..00000000
--- a/old/README.md
+++ /dev/null
@@ -1,2 +0,0 @@
-# nvim
-Neovim config
diff --git a/old/init.vim b/old/init.vim
deleted file mode 100644
index 050cbfd4..00000000
--- a/old/init.vim
+++ /dev/null
@@ -1,105 +0,0 @@
-
-
-
-
-
- " Search Index shows how many instances of searched term
- call dein#add('google/vim-searchindex')
- "call dein#add('steffanc/cscopemaps.vim')
- "call dein#add('brookhong/cscope.vim')
- "call dein#add('vim-scripts/autoload_cscope.vim')
- " Add or remove your plugins here: TODO
- call dein#add('Shougo/neosnippet.vim')
- call dein#add('Shougo/neosnippet-snippets')
- " Searchtasks searches for TODO, FIXME, XXX and such run :SearchTasks .
- call dein#add('gilsondev/searchtasks.vim')
- call dein#add('arakashic/chromatica.nvim')
- " Multiple Cursors
- call dein#add('terryma/vim-multiple-cursors')
- call dein#add('scrooloose/nerdcommenter')
- " FZF
- call dein#add('junegunn/fzf.vim', { 'dir': '~/.fzf', 'do': './install --all' })
- "call dein#add('junegunn/fzf')
- " For autocomplete
- call dein#add('zchee/deoplete-jedi')
- call dein#add('Shougo/deoplete.nvim')
- " For Web Development
- call dein#add('pangloss/vim-javascript')
- call dein#add('elzr/vim-json')
- call dein#add('mxw/vim-jsx')
- call dein#add('mattn/emmet-vim')
- call dein#add('prettier/vim-prettier', {'do': 'yarn install'})
- " Auto flow
- call dein#add('wokalski/autocomplete-flow')
- " You can specify revision/branch/tag.
- call dein#add('Shougo/deol.nvim', { 'rev': '01203d4c9' })
-
-" NeoSnippet
-let g:neosnippet#enable_completed_snippet = 1
-imap <C-k> <Plug>(neosnippet_expand_or_jump)
-smap <C-k> <Plug>(neosnippet_expand_or_jump)
-xmap <C-k> <Plug>(neosnippet_expand_target)
-let NERDTreeShowHidden = 1
-
-" MULTI CURSOR
-let g:multi_cursor_use_default_mapping=0
-" Default mapping
-let g:multi_cursor_start_word_key = '<C-n>'
-let g:multi_cursor_select_all_word_key = '<A-n>'
-let g:multi_cursor_start_key = 'g<C-n>'
-let g:multi_cursor_select_all_key = 'g<A-n>'
-let g:multi_cursor_next_key = '<C-n>'
-let g:multi_cursor_prev_key = '<C-p>'
-let g:multi_cursor_skip_key = '<C-x>'
-let g:multi_cursor_quit_key = '<Esc>'
-
-" ALE
-" Note pylint sucks
-" Note for javascript you need to:
-" npm install eslint --save-dev
-" ./node_modules/.bin/eslint --init
-" or for global
-" npm install -g eslint
-" eslint --init
-let g:ale_linters = {
- \ 'cpp' : ['gcc'],
- \ 'c' : ['gcc'],
- \ 'vim' : ['vint'],
- \ 'python': ['flake8', 'pyre', 'vulture', 'prospector', 'pyflakes', 'mypy', 'pyls'],
- \ 'javascript': ['eslint']
- \}
-
-"let g:LanguageClient_serverCommands = {
-" \ 'javascript': ['flow-language-server', '--stdio'],
-" \ }
-
-let g:ale_cpp_gcc_options='-Wall -Wextra'
-let g:ale_c_gcc_options='-Wall -Wextra'
-let g:ale_vim_vint_executable = 'vint'
-let g:ale_vim_vint_show_style_issues = 1
-map <leader>a :ALEToggle<CR>
-
-if !empty(glob("/usr/lib/rpm/redhat"))
- " For RHEL
- "let g:chromatica#libclang_path='/usr/lib64/llvm'
- let g:python3_host_prog = 'home/$USER/.conda/envs/py37/bin/python3.6'
- "let g:chromatica#enable_at_startup=1
- "let g:chromatica#responsive_mode=1
-else
- " For Debian based
- let g:chromatica#libclang_path='/usr/lib/llvm-6.0/lib'
- let g:python3_host_prog = '/usr/bin/python3.6'
- let g:chromatica#enable_at_startup=1
- let g:chromatica#responsive_mode=1
-endif
-" Chromatica
-" FZF
-if !empty((glob("~/.fzf")))
- set rtp+=~/.fzf
-endif
-""""""""""" FUNCTION KEYS """"""""""""""
-"TODO figure out cscope
-"TODO figure out virtualenv for neovim
-"TODO Split vim into ftp stuff rtp
-
-
diff --git a/old/installer.sh b/old/installer.sh
deleted file mode 100644
index de8c093e..00000000
--- a/old/installer.sh
+++ /dev/null
@@ -1,86 +0,0 @@
-#!/bin/sh
-# Standalone installer for Unixs
-# Original version is created by shoma2da
-# https://github.com/shoma2da/neobundle_installer
-
-if [ $# -ne 1 ]; then
- echo "You must specify the installation directory!"
- exit 1
-fi
-
-# Convert the installation directory to absolute path
-case $1 in
- /*) PLUGIN_DIR=$1;;
- *) PLUGIN_DIR=$PWD/$1;;
-esac
-INSTALL_DIR="${PLUGIN_DIR}/repos/github.com/Shougo/dein.vim"
-echo "Install to \"$INSTALL_DIR\"..."
-if [ -e "$INSTALL_DIR" ]; then
- echo "\"$INSTALL_DIR\" already exists!"
-fi
-
-echo ""
-
-# check git command
-type git || {
- echo 'Please install git or update your path to include the git executable!'
- exit 1
-}
-echo ""
-
-# make plugin dir and fetch dein
-if ! [ -e "$INSTALL_DIR" ]; then
- echo "Begin fetching dein..."
- mkdir -p "$PLUGIN_DIR"
- git clone https://github.com/Shougo/dein.vim "$INSTALL_DIR"
- echo "Done."
- echo ""
-fi
-
-# write initial setting for .vimrc
-echo "Please add the following settings for dein to the top of your vimrc (Vim) or init.vim (NeoVim) file:"
-{
- echo ""
- echo ""
- echo "\"dein Scripts-----------------------------"
- echo "if &compatible"
- echo " set nocompatible \" Be iMproved"
- echo "endif"
- echo ""
- echo "\" Required:"
- echo "set runtimepath+=$INSTALL_DIR"
- echo ""
- echo "\" Required:"
- echo "if dein#load_state('$PLUGIN_DIR')"
- echo " call dein#begin('$PLUGIN_DIR')"
- echo ""
- echo " \" Let dein manage dein"
- echo " \" Required:"
- echo " call dein#add('$INSTALL_DIR')"
- echo ""
- echo " \" Add or remove your plugins here like this:"
- echo " \"call dein#add('Shougo/neosnippet.vim')"
- echo " \"call dein#add('Shougo/neosnippet-snippets')"
- echo ""
- echo " \" Required:"
- echo " call dein#end()"
- echo " call dein#save_state()"
- echo "endif"
- echo ""
- echo "\" Required:"
- echo "filetype plugin indent on"
- echo "syntax enable"
- echo ""
- echo "\" If you want to install not installed plugins on startup."
- echo "\"if dein#check_install()"
- echo "\" call dein#install()"
- echo "\"endif"
- echo ""
- echo "\"End dein Scripts-------------------------"
- echo ""
- echo ""
-}
-
-echo "Done."
-
-echo "Complete setup dein!"
diff --git a/old/setupDEB.sh b/old/setupDEB.sh
deleted file mode 100755
index 11680cba..00000000
--- a/old/setupDEB.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-# installing neovim
-sudo apt install -y neovim
-
-# needed to pull installer
-sudo apt install -y curl
-
-# used for clipboard
-sudo apt install -y xsel
-
-# pesky fonts
-sudo apt install -y powerline-fonts
-
-# pul sown installer
-curl https://raw.githubusercontent.com/Shougo/dein.vim/master/bin/installer.sh > installer.sh
-
-# run installer
-sh ./installer.sh ~/.cache/dein
-
-git clone --depth 1 https://github.com/junegunn/fzf.git ~/.fzf
-
-~/.fzf/install
diff --git a/old/setupRHEL.sh b/old/setupRHEL.sh
deleted file mode 100755
index 43563290..00000000
--- a/old/setupRHEL.sh
+++ /dev/null
@@ -1,2 +0,0 @@
-
-sudo yum install -y neovim